!set title=Tamaño (orden) de AB
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr
computeanswer=yes

ansorder=r,r,r
varcnt=20
prevarcnt=19
postvarcnt=0
replycnt=3
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp=!trim k,l,m,n	a,b,c,d	p,q,r,s	
val6=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val6

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val6=$(tmp0)
tmp0=!shuffle $val6

val6=$(tmp0)
tmp0=!item 1 of $val6

val7=$(tmp0)
tmp0=!item 2 of $val6

val8=$(tmp0)
tmp0=!item 3 of $val6

val9=$(tmp0)
tmp0=!item 4 of $val6

val10=$(tmp0)
val11=\($val7)
val12=\($val8)
val13=\($val9)
val14=\($val10)
tmp0=!randitem de $val11 filas y $val12 columnas,$val11×$val12

val15=$(tmp0)
tmp0=!randitem de $val13 filas y $val14 columnas,$val13×$val14

val16=$(tmp0)
tmp0=!randitem 1,2

!if $(tmp0)=1 
val17=AB
val18=$val15
val19=$val16
!else
val17=BA
val18=$val16
val19=$val15
!endif
replytype1=equation
replyname1=\($val17) tiene sentido
replygood1=!rawmath $val8=$val9,$val7,$val10
replytype2=function
replyname2=Filas de \($val17)
replygood2=!rawmath $val7,$val8,$val9,$val10
replytype3=function
replyname3=Columnas de \($val17)
replygood3=!rawmath $val10,$val7,$val8,$val9
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Sea 
!insmath A
$() una matriz $val18, 
!insmath B
$() una matriz $val19.	<p>	Dé la condición para que 
!insmath $val17
$() tenga sentido.  
!read oef/embed.phtml reply 1,6 
$()	<p>	En este caso, 
!insmath $val17
$() tiene  
!read oef/embed.phtml reply 2,2 
$() filas y  
!read oef/embed.phtml reply 3,2 
$() columnas.	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=17,18,19
embedcnt=3
